#!/bin/bash
#---------------------------------------------------------------------------------------
# Bundle: KLayoutAna3.app
#
# Descriptions:
#  This script invokes "klayout.app" that shares the Anaconda3 development environment.
#  More precisely, it uses Qt5, Ruby, and Python package of Anaconda3 installed in
#  the standard location.
#
#  Because the standard installation location is $HOME/opt/anaconda3/, and you need to
#  have a symbolic link: /Applications/andconda3 ---> $HOME/opt/anaconda3/
#---------------------------------------------------------------------------------------

#---------------------------------------------------------
# Your setups
#---------------------------------------------------------

#---------------------------------------------------------
# Export 'PYTHONHOME' environment variable
#---------------------------------------------------------
export PYTHONHOME=/Applications/anaconda3

#---------------------------------------------------------
# With "-n" option, you can invoke multiple instances
#---------------------------------------------------------
myklayout=/Applications/klayout.app
myconfig=$HOME/.klayout/klayoutrc

open -n -a $myklayout --args -e -c $myconfig -style=fusion $@
